Bug 197632 - [iOS] Unable to commit search on MSN.com, qq.com, or sina.com.cn using enter key (hardware or software keyboard)
Summary: [iOS] Unable to commit search on MSN.com, qq.com, or sina.com.cn using enter ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL: http://www.msn.com
Keywords: InRadar, PlatformOnly
Depends on: 197710
Blocks: 190571
  Show dependency treegraph
 
Reported: 2019-05-06 15:53 PDT by Daniel Bates
Modified: 2019-05-16 10:31 PDT (History)
4 users (show)

See Also:


Attachments
Just to see... (1.90 KB, patch)
2019-05-06 15:55 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews214 for win-future (13.25 MB, application/zip)
2019-05-07 05:41 PDT, Build Bot
no flags Details
Patch (14.02 KB, patch)
2019-05-08 15:10 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (14.97 KB, patch)
2019-05-08 16:14 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (14.98 KB, patch)
2019-05-08 16:33 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews215 for win-future (13.32 MB, application/zip)
2019-05-08 22:34 PDT, Build Bot
no flags Details
Patch (15.01 KB, patch)
2019-05-09 10:36 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-05-06 15:53:06 PDT
Seen on iPad using hardware keyboard.

Steps to reproduce:

Ensure iPad is in landscape orientation. (That's right, only happens in landscape)

1. Visit <http://www.msn.com> in landscape orientation.
2. Type something in the search field.
3. Press the Return key on the keyboard.

Nothing happens, but it should open a new window with search results.
Comment 1 Daniel Bates 2019-05-06 15:53:18 PDT
<rdar://problem/47902054>
Comment 2 Daniel Bates 2019-05-06 15:55:59 PDT
Created attachment 369189 [details]
Just to see...
Comment 3 Build Bot 2019-05-07 05:41:18 PDT
Comment on attachment 369189 [details]
Just to see...

Attachment 369189 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12122697

New failing tests:
js/dom/custom-constructors.html
Comment 4 Build Bot 2019-05-07 05:41:20 PDT
Created attachment 369277 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 Daniel Bates 2019-05-08 14:46:58 PDT
Hack works well, but leaves a yucky feeling. So, going to try to fix this another way.
Comment 6 Daniel Bates 2019-05-08 15:10:18 PDT
Created attachment 369428 [details]
Patch
Comment 7 Brent Fulgham 2019-05-08 15:21:31 PDT
Comment on attachment 369428 [details]
Patch

I think this looks good, but the patch doesn't apply to trunk. Could you please rebase it and upload again?
Comment 8 Daniel Bates 2019-05-08 16:14:09 PDT
Created attachment 369441 [details]
Patch
Comment 9 Daniel Bates 2019-05-08 16:33:29 PDT
Created attachment 369446 [details]
Patch
Comment 10 Build Bot 2019-05-08 22:34:54 PDT
Comment on attachment 369446 [details]
Patch

Attachment 369446 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12140332

New failing tests:
http/tests/css/filters-on-iframes.html
Comment 11 Build Bot 2019-05-08 22:34:56 PDT
Created attachment 369464 [details]
Archive of layout-test-results from ews215 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews215  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 12 Daniel Bates 2019-05-09 10:36:04 PDT
Created attachment 369497 [details]
Patch
Comment 13 Daniel Bates 2019-05-09 10:41:26 PDT
Committed r245144: <https://trac.webkit.org/changeset/245144>
Comment 14 Daniel Bates 2019-05-16 10:31:57 PDT
Added missing file to make the test work in <https://trac.webkit.org/changeset/245399> and fixed up the ChangeLog entry in <https://trac.webkit.org/changeset/245400>.